<?xml version="1.0" encoding="UTF-8"?>
<genmodel:GenModel xmi:version="2.0"
    xmlns:xmi="http://www.omg.org/XMI" xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore"
    xmlns:genmodel="http://www.eclipse.org/emf/2002/GenModel" modelDirectory="/org.eclipse.component.use.core/src"
    editDirectory="/org.eclipse.component.use.core.edit/src" editorDirectory="/org.eclipse.component.use.core.editor/src"
    modelPluginID="org.eclipse.component.use.core" runtimeJar="true" modelName="Component-use"
    editPluginClass="org.eclipse.component.use.provider.ComponentuseEditPlugin" editorPluginClass="org.eclipse.component.use.presentation.ComponentuseEditorPlugin"
    runtimeCompatibility="false" usedGenPackages="../../org.eclipse.component.api.core/model/component-api.genmodel#//api">
  <foreignModel>../xsd/component-use.xsd</foreignModel>
  <genPackages prefix="Use" basePackage="org.eclipse.component" resource="XML" disposableProviderFactory="true"
      ecorePackage="org.eclipse.component.use.ecore#/">
    <genClasses ecoreClass="org.eclipse.component.use.ecore#//ComponentUseType">
      <genFeatures property="None" children="true" createChild="true" ecoreFeature="ecore:EReference org.eclipse.component.use.ecore#//ComponentUseType/sourceClass"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute org.eclipse.component.use.ecore#//ComponentUseType/name"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute org.eclipse.component.use.ecore#//ComponentUseType/version"/>
    </genClasses>
    <genClasses ecoreClass="org.eclipse.component.use.ecore#//DocumentRoot">
      <genFeatures property="None" children="true" createChild="true" ecoreFeature="ecore:EAttribute org.eclipse.component.use.ecore#//DocumentRoot/mixed"/>
      <genFeatures property="None" notify="false" createChild="false" ecoreFeature="ecore:EReference org.eclipse.component.use.ecore#//DocumentRoot/xMLNSPrefixMap"/>
      <genFeatures property="None" notify="false" createChild="false" ecoreFeature="ecore:EReference org.eclipse.component.use.ecore#//DocumentRoot/xSISchemaLocation"/>
      <genFeatures property="None" notify="false" createChild="false" ecoreFeature="ecore:EReference org.eclipse.component.use.ecore#//DocumentRoot/componentUse"/>
    </genClasses>
    <genClasses ecoreClass="org.eclipse.component.use.ecore#//SourceClass">
      <genFeatures property="None" children="true" createChild="true" ecoreFeature="ecore:EReference org.eclipse.component.use.ecore#//SourceClass/classUse"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute org.eclipse.component.use.ecore#//SourceClass/name"/>
    </genClasses>
  </genPackages>
</genmodel:GenModel>
